package _VisualDVM.Visual.Menus.ProjectMenuBar;
import Common.Visual.Controls.MenuBarButton;
import Common.Visual.Menus.VisualiserMenuBar;
import _VisualDVM.Global;

import javax.swing.*;
import java.awt.*;
public class ProjectMenuBar extends VisualiserMenuBar {
    public ProjectViewMenu projectViewMenu;
    public ProjectMenuBar() {
        addMenus(projectViewMenu = new ProjectViewMenu());
        add(new JSeparator());
        addMenus(
                new ProjectSettingsMenu()
        );
        add(new MenuBarButton() {
            {
                setToolTipText("Профили");
                setIcon("/icons/Profiles.png");
                addActionListener(e -> {
                    Global.mainModule.getUI().getProfilesWindow().ShowDialog("");
                });
            }
        });
    }
    public ProjectViewMenu getProjectViewMenu() {
        return projectViewMenu;
    }
    @Override
    public void setSizeLimits() {
        setPreferredSize(new Dimension(0, 32));
    }
}
